# -*- coding: utf-8 -*-
#
# Copyright 2012 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.

"""Main module to open the GTK UI."""

import sys

from PyQt4 import QtGui

from ubuntu_sso.qt.ubuntu_sso_wizard import UbuntuSSOClientGUI


def main(**kwargs):
    """Start the QT mainloop and open the main window."""
    app = QtGui.QApplication(sys.argv)
    # Unused variable 'ui', pylint: disable=W0612
    ui = UbuntuSSOClientGUI(close_callback=app.exit, **kwargs)
    app.exec_()
